class Support {
  int? status;
  List<Data>? data;

  Support({this.status, this.data});

  Support.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['status'] = status;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int? id;
  String? subject;
  int? createdByUserId;
  int? managerId;
  int? closed;
  int? solved;
  int? managerSeen;
  int? userSeen;
  String? createdAt;
  String? deletedAt;
  String? updatedAt;

  Data({
    this.id,
    this.subject,
    this.createdByUserId,
    this.managerId,
    this.closed,
    this.solved,
    this.managerSeen,
    this.userSeen,
    this.createdAt,
    this.deletedAt,
    this.updatedAt,
  });

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    subject = json['subject'];
    createdByUserId = json['created_by_user_id'];
    managerId = json['manager_id'];
    closed = json['closed'];
    solved = json['solved'];
    managerSeen = json['manager_seen'];
    userSeen = json['user_seen'];
    createdAt = json['created_at'];
    deletedAt = json['deleted_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['subject'] = subject;
    data['created_by_user_id'] = createdByUserId;
    data['manager_id'] = managerId;
    data['closed'] = closed;
    data['solved'] = solved;
    data['manager_seen'] = managerSeen;
    data['user_seen'] = userSeen;
    data['created_at'] = createdAt;
    data['deleted_at'] = deletedAt;
    data['updated_at'] = updatedAt;
    return data;
  }
}
